
Redmine - Defect #8072

Two untranslatable default role names

2011-04-05 13:56 - Ebrahim Mohammadi

Status: Closed Start date: 2011-04-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 1.1.2

Description

Names of the default roles "Non member" and "Anonymous" are not translatable.

Related issues:

Related to Redmine - Patch #11402: Japanese translation added for default rol... Closed

Associated revisions

Revision 5333 - 2011-04-06 00:37 - Jean-Philippe Lang

Localize anonymous and non member roles names (#8072).

History

#1 - 2011-04-05 14:12 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

Isn't it the same as #8058 ?

#2 - 2011-04-05 15:45 - Ebrahim Mohammadi

No, I don't think so. This issue is just about a couple uninternationalized hard-coded strings in app/models/role.rb.

I'm not sure if they were left that way intentionally or otherwise. However I thought I'd better report it.

#3 - 2011-04-05 15:53 - Etienne Massip

Do they appear in the application ?

#4 - 2011-04-05 16:20 - Ebrahim Mohammadi

Yes, they appear in admin UI in roles management page. The two roles are special roles added by Redmine. But the strings are not internationalized

using I18n module so that translators can translate them into their language.

(I guess you wanted to make sure I know what I'm talking about. I hope my answer has helped.)

#5 - 2011-04-05 16:23 - Etienne Massip

- Target version set to Candidate for next major release

I couldn't simply remember of where they were visible, thanks.

#6 - 2011-04-06 00:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from Candidate for next major release to 1.2.0

- Resolution set to Fixed

Fixed in r5333.
